lessc := node_modules/.bin/lessc
lightserver := node_modules/.bin/light-server

NPM != command -v npm 2> /dev/null

.PHONY: dev clean

build: hacker.css dracula.css

dev: build
	$(lightserver) -s . -p 9000 -w "index.html, **/*.less \# make" -o

%.css: node_modules less/*.less
	$(info building $@)
	$(lessc) less/$*.less $*.css --clean-css="--s1 --advanced --compatibility=ie8"

node_modules: package.json package-lock.json Makefile
ifndef NPM
	$(error Missing dependency 'npm'. Please install and try again.)
endif
	$(NPM) install
	touch node_modules # fixes watch bug if you manually ran npm install

clean:
	rm -rf node_modules
	rm dracula.css
	rm hacker.css
